Highest-authority pages by domain, with URL metrics
curl --request POST \
--url https://api.aisa.one/apis/v1/moz/web-site-top-pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "moz.com",
"limit": 5
}
'import requests
url = "https://api.aisa.one/apis/v1/moz/web-site-top-pages"
payload = {
"target": "moz.com",
"limit": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: 'moz.com', limit: 5})
};
fetch('https://api.aisa.one/apis/v1/moz/web-site-top-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/moz/web-site-top-pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => 'moz.com',
'limit' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/moz/web-site-top-pages"
payload := strings.NewReader("{\n \"target\": \"moz.com\",\n \"limit\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/moz/web-site-top-pages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": \"moz.com\",\n \"limit\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/moz/web-site-top-pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": \"moz.com\",\n \"limit\": 5\n}"
response = http.request(request)
puts response.read_bodyMoz
Highest-authority pages by domain, with URL metrics
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.006667 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
moz
/
web-site-top-pages
Highest-authority pages by domain, with URL metrics
curl --request POST \
--url https://api.aisa.one/apis/v1/moz/web-site-top-pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "moz.com",
"limit": 5
}
'import requests
url = "https://api.aisa.one/apis/v1/moz/web-site-top-pages"
payload = {
"target": "moz.com",
"limit": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: 'moz.com', limit: 5})
};
fetch('https://api.aisa.one/apis/v1/moz/web-site-top-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/moz/web-site-top-pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => 'moz.com',
'limit' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/moz/web-site-top-pages"
payload := strings.NewReader("{\n \"target\": \"moz.com\",\n \"limit\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/moz/web-site-top-pages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": \"moz.com\",\n \"limit\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/moz/web-site-top-pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": \"moz.com\",\n \"limit\": 5\n}"
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: POST /apis/v1/moz/web-site-top-pages
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/moz/web-site-top-pages - Runtime 事实版本: 9645ce46db88133c02a2f37cbcdf884e1cd87f44742865eb6fdf88bf8a90676f
{
"operationId": "moz.web-site-top-pages",
"method": "POST",
"path": "/apis/v1/moz/web-site-top-pages",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"target": {
"type": "string",
"description": "the domain to return top pages for",
"examples": [
"moz.com"
]
},
"scope": {
"type": "string",
"description": "subdomain | root_domain (default root_domain)",
"examples": [
"root_domain"
]
},
"sort": {
"type": "string",
"description": "page_authority (default) | root_domains_to_page | external_pages_to_page"
},
"filter": {
"type": "string",
"description": "all (default) | status_200 | status_301 | status_302 | status_4xx | status_5xx — filter status_4xx surfaces broken pages that still have links"
},
"daily_history_deltas": {
"type": "array",
"items": {
"type": "string"
},
"description": "as in url_metrics, applied to each result"
},
"daily_history_values": {
"type": "array",
"items": {
"type": "string"
}
},
"monthly_history_deltas": {
"type": "array",
"items": {
"type": "string"
}
},
"monthly_history_values": {
"type": "array",
"items": {
"type": "string"
}
},
"limit": {
"maximum": 10,
"minimum": 1,
"type": "integer",
"description": "1-50, default 25"
},
"next_token": {
"type": "string"
}
},
"required": [
"limit",
"target"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.006667,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.006667 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.006667
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 结算证据来源: response_header
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
the domain to return top pages for
示例:
"moz.com"
1-50, default 25
必填范围:
1 <= x <= 10subdomain | root_domain (default root_domain)
示例:
"root_domain"
page_authority (default) | root_domains_to_page | external_pages_to_page
all (default) | status_200 | status_301 | status_302 | status_4xx | status_5xx — filter status_4xx surfaces broken pages that still have links
as in url_metrics, applied to each result
响应
成功响应